/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomXPathNSResolver_H__
#define __GdomXPathNSResolver_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomXPathNSResolver GdomXPathNSResolver;
typedef struct _GdomXPathNSResolverClass GdomXPathNSResolverClass;


#define GDOM_TYPE_X_PATH_NS_RESOLVER            (gdom_x_path_ns_resolver_get_type())
#define GDOM_X_PATH_NS_RESOLVER(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_X_PATH_NS_RESOLVER, GdomXPathNSResolver))
#define GDOM_X_PATH_NS_RESOLVER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_X_PATH_NS_RESOLVER, GdomXPathNSResolver)Class)
#define GDOM_IS_X_PATH_NS_RESOLVER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_X_PATH_NS_RESOLVER))
#define GDOM_IS_X_PATH_NS_RESOLVER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_X_PATH_NS_RESOLVER))
#define GDOM_X_PATH_NS_RESOLVER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_X_PATH_NS_RESOLVER, GdomXPathNSResolverClass))

typedef struct _GdomXPathNSResolverPrivate GdomXPathNSResolverPrivate;

struct _GdomXPathNSResolver {
    GdomDOMObject parent_instance;
    GdomXPathNSResolverPrivate *priv;
};

struct _GdomXPathNSResolverClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_x_path_ns_resolver_get_type (void);

WEBKIT_API gchar *
gdom_x_path_ns_resolver_lookup_namespace_uri (GdomXPathNSResolver *thiz, gchar * prefix);

G_END_DECLS

#endif /* __GdomXPathNSResolver_H__ */
